
  scheduler-db:
    image: postgres:14
    container_name: scheduler-db
    ports:
      - "5432"
    environment:
      POSTGRES_USER: scheduler
      POSTGRES_PASSWORD: scheduler
      POSTGRES_DB: scheduler_database
    healthcheck:
      test: ["CMD-SHELL", "pg_isready -U scheduler -d scheduler_database"]
      interval: 5s
      timeout: 5s
      retries: 5

  scheduler-flyway:
    image: flyway/flyway:8.5
    container_name: scheduler-flyway
    command: "-locations=filesystem:/sql-migrations -url=jdbc:postgresql://scheduler-db:5432/scheduler_database -schemas=public -user=scheduler -password=scheduler -connectRetries=60 -baselineOnMigrate=true -table=flyway_quarkus_history migrate"
    volumes:
      - ../../../services/scheduler/src/main/jib/db-flyway/:/sql-migrations
    depends_on:
      scheduler-db:
        condition: service_healthy
